package sikd.sikd5.sikd5ejb.session;

import java.util.Date;
import java.util.List;

import javax.ejb.Remote;

import org.apache.ibatis.session.SqlSession;

import sikd.sikd5.sikd5bean.fault.SIKDServiceException;
import sikd.sikd5.sikd5bean.query.InfoPengiriman;
import sikd.sikd5.sikd5bean.tabel.UploadFile;
@Remote
public interface UploadFileSessionBeanRemote {
	/**
	 *
	 * @author  : agus
	 * @tanggal : Nov 26, 2018
	 */
	public void insert(UploadFile uploadFile) throws Exception;
	public InfoPengiriman getInfoPengiriman(String kdsatker, short tahun, String kdikd, String nmikd) throws Exception;
	public List<UploadFile> getUploadFiles(String kodeSatker, short tahun, String kodeikd)	throws Exception;
	public List<UploadFile> getAllUploadFiles(String kodeSatker, short tahun)	throws Exception;
	public List<UploadFile> getAllUploadFilesPerPemda(short tahun,short bulan,Date tgawal, Date tgakhir) throws Exception;
	public List<UploadFile> getUploadFilesPerPemda(short tahun, String kdikdSingkat, Date tgakhir) throws Exception;
	
}
